SnmpActionConfig (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.action.SnmpActionConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.action
Class SnmpActionConfig

    java.lang.Object
      org.hyperic.hq.bizapp.shared.action.SnmpActionConfig

All Implemented Interfaces:
  ActionConfigInterface

    public class SnmpActionConfig

extends java.lang.Object
implements ActionConfigInterface

Field Summary
`protected java.lang.String` | `address`
`protected static java.lang.String` | `CFG_ADDRESS`
`protected static java.lang.String` | `CFG_NOTIFICATION_MECHANISM`
`protected static java.lang.String` | `CFG_OID`
`protected static java.lang.String` | `CFG_VARIABLE_BINDINGS`
`protected java.lang.String` | `oid`
`protected java.lang.String` | `snmpNotificationMechanism`
`protected java.lang.String` | `variableBindings`

Constructor Summary
`SnmpActionConfig()`
`SnmpActionConfig(java.lang.String snmpNotificationMechanism, java.lang.String address, java.lang.String oid, java.lang.String variableBindings)`

Method Summary
`java.lang.String` | `getAddress()`
`ConfigResponse` | `getConfigResponse()` Get the configuration response for the action based on its properties
`ConfigSchema` | `getConfigSchema()` Get the configuration schema for the action
`java.lang.String` | `getImplementor()` Return the name of the class that implements the action
`java.lang.String` | `getOid()`
`java.lang.String` | `getSnmpNotificationMechanism()`
`java.lang.String` | `getVariableBindings()` Gets the variable bindings configuration in JSON format
`void` | `init(ConfigResponse config)` Initialize the action instance
`void` | `setAddress(java.lang.String address)`
`void` | `setImplementor(java.lang.String implementor)` Allow implementor to be overwritten
`void` | `setOid(java.lang.String oid)`
`void` | `setSnmpNotificationMechanism(java.lang.String snmpNotificationMechanism)`
`void` | `setVariableBindings(java.lang.String variableBindings)` Sets the variable bindings configuration in JSONArray format

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CFG_OID

    protected static final java.lang.String CFG_OID

See Also:
  Constant Field Values

### CFG_ADDRESS

    protected static final java.lang.String CFG_ADDRESS

See Also:
  Constant Field Values

### CFG_NOTIFICATION_MECHANISM

    protected static final java.lang.String CFG_NOTIFICATION_MECHANISM

See Also:
  Constant Field Values

### CFG_VARIABLE_BINDINGS

    protected static final java.lang.String CFG_VARIABLE_BINDINGS

See Also:
  Constant Field Values

### oid

    protected java.lang.String oid

### address

    protected java.lang.String address

### snmpNotificationMechanism

    protected java.lang.String snmpNotificationMechanism

### variableBindings

    protected java.lang.String variableBindings

Constructor Detail

### SnmpActionConfig

    public SnmpActionConfig()

### SnmpActionConfig

    public SnmpActionConfig(java.lang.String snmpNotificationMechanism,
                            java.lang.String address,
                            java.lang.String oid,
                            java.lang.String variableBindings)

Method Detail

### setOid

    public void setOid(java.lang.String oid)

### getOid

    public java.lang.String getOid()

### setAddress

    public void setAddress(java.lang.String address)

### getAddress

    public java.lang.String getAddress()

### getSnmpNotificationMechanism

    public java.lang.String getSnmpNotificationMechanism()

### setSnmpNotificationMechanism

    public void setSnmpNotificationMechanism(java.lang.String snmpNotificationMechanism)

### getVariableBindings

    public java.lang.String getVariableBindings()

  Gets the variable bindings configuration in JSON format

### setVariableBindings

    public void setVariableBindings(java.lang.String variableBindings)

  Sets the variable bindings configuration in JSONArray format

### getConfigSchema

    public ConfigSchema getConfigSchema()

  Description copied from interface: `ActionConfigInterface`
  Get the configuration schema for the action

  Specified by:
    `getConfigSchema` in interface `ActionConfigInterface`
  Returns:
    a config schema

### getConfigResponse

    public ConfigResponse getConfigResponse()
                                     throws InvalidOptionException,
                                            InvalidOptionValueException

  Description copied from interface: `ActionConfigInterface`
  Get the configuration response for the action based on its properties

  Specified by:
    `getConfigResponse` in interface `ActionConfigInterface`
  Returns:
    a config schema
  Throws:
    `InvalidOptionException`
    `InvalidOptionValueException`

### init

    public void init(ConfigResponse config)
              throws InvalidActionDataException

  Description copied from interface: `ActionConfigInterface`
  Initialize the action instance

  Specified by:
    `init` in interface `ActionConfigInterface`
  Parameters:
    `config` - configuration properties
  Throws:
    `InvalidActionDataException`

### getImplementor

    public java.lang.String getImplementor()

  Description copied from interface: `ActionConfigInterface`
  Return the name of the class that implements the action

  Specified by:
    `getImplementor` in interface `ActionConfigInterface`
  Returns:
    the Action classname

### setImplementor

    public void setImplementor(java.lang.String implementor)

  Description copied from interface: `ActionConfigInterface`
  Allow implementor to be overwritten

  Specified by:
    `setImplementor` in interface `ActionConfigInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.